Public Member Functions | List of all members
clan::WorkItem Class Referenceabstract
clanCore System

Interface for executing work on a worker thread. More...

`#include <work_queue.h>`

## Public Member Functions
virtual | ~WorkItem ()
virtual void | process_work ()=0
| Called by a worker thread to process work. More...
virtual void | work_completed ()
| Called by the WorkQueue thread to complete the work. More...

## Detailed Description

Interface for executing work on a worker thread.

The documentation for this class was generated from the following file:

- work_queue.h